TPROF(4)

NAME
tprof - a sampling based profiler

SYNOPSIS
pseudo-device tprof

DESCRIPTION
The tprof driver provides kernel services necessary for tprof(8).

Specifically, it makes its backend driver collect profiling samples and provide them to the userland consumer.

The API/ABI is currently undocumented and will likely change in future without keeping compatibility.

SEE ALSO
tprof_amdpmi(4), tprof_pmi(4), tprof(8)

AUTHORS
The tprof driver was written by YAMAMOTO Takashi.

BUGS
There is no way to configure multiple backend drivers statically.